Name: 	 progsreiserfs
Version: 0.3.0.3
Release: alt0.3

Summary: Programs needed for manipulating reiserfs partitions
License: GPL
Group: System/Configuration/Hardware
Url:  http://reiserfs.linux.kiev.ua

Source: ftp://reiserfs.linux.kiev.ua/%name-%version.tar.gz
Patch: progsreiserfs-0.3.0.3-st_blocks.diff

Requires: lib%name = %version-%release

%package -n lib%name
Summary: Shared library for reiserfs utilities
Group: System/Libraries

%package -n lib%name-devel
Summary: Files required to compile software that uses lib%name
Group: Development/C
Requires: lib%name = %version-%release
Provides: %name-devel = %version
Obsoletes: %name-devel

%package -n lib%name-devel-static
Summary: Files required to compile statically linked software that uses lib%name
Group: Development/C
Requires: lib%name = %version-%release
Provides: %name-devel-static = %version
Obsoletes: %name-devel-static

%description
progsreiserfs is a package that allows you to create, destroy,
resize and copy reiserfs filesystem.

%description -n lib%name
This package includes the shared library needed to
run lib%name-based software.

%description -n lib%name-devel
This package includes the header files.

%description -n lib%name-devel-static
This package includes the libraries needed to
statically link software with lib%name.

%prep
%setup -q
%patch -p2

%define _sbindir /sbin
%define _libdir /lib

%build
%configure
make

%install
%makeinstall

# temporary measure to resolve conflict with reiserfsprogs
# (since neither fsck really works it changes nothing ;)
rm -f %buildroot%_sbindir/fsck.reiserfs

%find_lang %name

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files -n lib%name
%_libdir/*.so.*
%_libdir/*.la

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*

%files -n lib%name-devel-static
%_libdir/*.a

%files -f %name.lang
%_sbindir/*
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO

%changelog
* Fri Nov 08 2002 Michael Shigorin <mike@altlinux.ru> 0.3.0.3-alt0.3
- patch from Yury Umanets is applied
- moved libs to /lib (see alt0.2)
- not including /sbin/fsck.reiserfs (conflicts w/reiserfsprogs and a stub anyway)

* Thu Nov 07 2002 Michael Shigorin <mike@altlinux.ru> 0.3.0.3-alt0.2
- moved utils from /usr/sbin to /sbin (#1057)

* Tue Oct 29 2002 Michael Shigorin <mike@altlinux.ru> 0.3.0.3-alt0.1
- 0.3.0.3

* Wed Feb 20 2002 Yury Umanets <umka@altlinux.ru> progsreiserfs-0.1.7-alt1
* New version of the progsreiserfs

* Mon Feb 18 2002 Yury Umanets <umka@altlinux.ru> progsreiserfs-0.1.6-alt2
- Copyright information fixed.
- progsreiserfs.spec fixed.
- THANKS file added.
- NAMESYS-README added.

* Sun Feb 16 2002 Yury Umanets <umka@altlinux.ru> progsreiserfs-0.1.6-alt1
- New version of the progsreiserfs packed.

* Mon Feb 11 2002 Yury Umanets <umka@altlinux.ru> progsreiserfs-0.1.5-alt2
- Some progsreiserfs.spec fixes.

* Mon Feb 11 2002 Yury Umanets <umka@altlinux.ru> progsreiserfs-0.1.5-alt1
- Initial release
